summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0014chain_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/transactions/0014chain_1')
-rwxr-xr-xtests/shell/testcases/transactions/0014chain_120
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/shell/testcases/transactions/0014chain_1 b/tests/shell/testcases/transactions/0014chain_1
new file mode 100755
index 00000000..a03ef126
--- /dev/null
+++ b/tests/shell/testcases/transactions/0014chain_1
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+tmpfile=$(mktemp)
+if [ ! -w $tmpfile ] ; then
+ echo "Failed to create tmp file" >&2
+ exit 0
+fi
+
+trap "rm -rf $tmpfile" EXIT # cleanup if aborted
+
+RULESET="add table x
+add chain x y
+delete chain x y
+delete chain x y"
+
+echo "$RULESET" > $tmpfile
+$NFT -f $tmpfile
+echo "E: allowing double-removal of chain" >&2